Subject: Re: [PATCH] Added guilt.reusebranch configuration option.

From: Theodore Ts'o <[email-masked]>
Date: Wed, 22 May 2013 10:45:31 -0400

I just had another idea (although I haven't had a chance to code up
anything yet).  Perhaps instead of, or in addition to, a global
setting (i.e., guilt.reusebranch), perhaps we should have a per-branch
setting, such as branch.<branch>.guiltReuseBranch?

I was actually thinking that it might be interesting to have a
branch.<branch>.rewindable, which would change the guilt defaults, and
could also key changes in key git behavior which makes it less likely
that a user shoots him or herself in the foot --- i.e., give warnings
if he or she has modified the branch in such a way that
remotes.origin.<branch> is no longer contained within the branch head.

			      	     	       	      	  - Ted